
widget_demo_property = widget_demo_property.extend({
    /*
     * Config to define Widget Properties
     */
    propertiesConfig:[{
        config: [{
				"type": "text",
				"name": "textProperty",
				"label": "Text Property",
				"value": "text"
			},
			{
				"type": "checkbox",
				"name": "checkboxProperty",
				"label": "Checkbox Property",
				"value": "true"
			},
			{
				"type": "select",
				"name": "selectProperty",
				"label": "Select Property",
				"options": [{
						"label": "option1",
						"value": "option1",
						"selected": "true"
					},
					{
						"label": "option2",
						"value": "option2"
					}
				]
			}
		]
    }],
    
    /*
     * Triggered when the user Creates a new widget and used to initialize the widget properties
     */
    create : function(cbk)
    {
        if(cbk)
        {
            this._super();
            cbk();
        }
    }
});

var params = {};
Studio.registerWidget("widget_demo_property", "widget_demo_property", params);